# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.75.0"
name = "substrait"
version = "0.47.1"
build = "build.rs"
include = [
    "LICENSE",
    "build.rs",
    "gen/",
    "src/**/*.rs",
    "substrait/LICENSE",
    "substrait/README.md",
    "substrait/extensions/**/*.yaml",
    "substrait/proto/**/*.proto",
    "substrait/text/**/*.yaml",
]
description = "Cross-Language Serialization for Relational Algebra"
homepage = "https://substrait.io"
documentation = "https://docs.rs/substrait"
readme = "README.md"
keywords = ["substrait"]
license = "Apache-2.0"
repository = "https://github.com/substrait-io/substrait-rs"

[package.metadata.docs.rs]
all-features = true

[dependencies.hex]
version = "0.4.3"
optional = true

[dependencies.once_cell]
version = "1.20.2"
optional = true

[dependencies.pbjson]
version = "0.7.0"
optional = true

[dependencies.pbjson-types]
version = "0.7.0"
optional = true

[dependencies.prost]
version = "0.13.3"

[dependencies.prost-types]
version = "0.13.3"

[dependencies.regress]
version = "0.10.1"

[dependencies.semver]
version = "1.0.23"
optional = true

[dependencies.serde]
version = "1.0.214"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.132"

[dependencies.serde_yaml]
version = "0.9.34"
optional = true

[dependencies.thiserror]
version = "2.0.3"
optional = true

[dependencies.url]
version = "2.5.3"
optional = true

[build-dependencies.heck]
version = "0.5.0"

[build-dependencies.pbjson-build]
version = "0.7.0"
optional = true

[build-dependencies.prettyplease]
version = "0.2.25"

[build-dependencies.prost-build]
version = "0.13.3"
default-features = false

[build-dependencies.protobuf-src]
version = "2.1.0"
optional = true

[build-dependencies.schemars]
version = "0.8.21"

[build-dependencies.semver]
version = "1.0.23"

[build-dependencies.serde_yaml]
version = "0.9.34"

[build-dependencies.syn]
version = "2.0.85"

[build-dependencies.typify]
version = "0.2.0"

[build-dependencies.walkdir]
version = "2.5.0"

[features]
default = []
extensions = [
    "dep:once_cell",
    "dep:serde_yaml",
]
parse = [
    "dep:hex",
    "dep:thiserror",
    "dep:url",
    "semver",
]
protoc = ["dep:protobuf-src"]
semver = ["dep:semver"]
serde = [
    "dep:pbjson",
    "dep:pbjson-build",
    "dep:pbjson-types",
]
